Name:		libgdamm
Version:	3.99.15
Release:	1%{?dist}
Summary:	C++ wrappers for libgda
Group:		System Environment/Libraries
License:	LGPLv2+
URL:		http://www.gtkmm.org/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgdamm/3.99/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	glibmm24-devel >= 2.12.8
BuildRequires:  libgda-devel >= 4.0.0

%description
C++ wrappers for libgda. libgdamm is part of a set of powerful
C++ bindings for the GNOME libraries, which provide additional
functionality above GTK+/gtkmm.

%package devel
Summary:	Headers/Libraries for developing programs that use libgdamm
Group:		Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
This package contains headers and libraries that programmers will need 
to develop applications which use libgdamm.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog NEWS
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, -)
%{_includedir}/libgdamm-4.0
%{_libdir}/*.so
%{_libdir}/libgdamm-4.0
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Jun 25 2009 Denis Leroy <denis@poolshark.org> - 3.99.15-1
- Update to upstream 3.99.15, as part of glom update

* Mon Mar 23 2009  <denis@poolshark.org> - 3.99.14-1
- Update to upstream 3.99.14

* Wed Mar  4 2009 Denis Leroy <denis@poolshark.org> - 3.99.12-1
- Update to upstream 3.99.12

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.99.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Denis Leroy <denis@poolshark.org> - 3.99.11-1
- Update to upstream 3.99.11, to match libgda version

* Wed Jan 21 2009 Denis Leroy <denis@poolshark.org> - 3.99.8-1
- Update to upstream 3.99.8 (4.0 API)

* Thu Nov 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 3.0.1-2
- fix source url

* Fri Oct  3 2008 Denis Leroy <denis@poolshark.org> - 3.0.1-1
- Update to upstream 3.0.1, bugfix release

* Mon Mar 17 2008 Denis Leroy <denis@poolshark.org> - 3.0.0-1
- Update to upstream 3.0.0

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.9.81-2
- Autorebuild for GCC 4.3

* Sat Jan 26 2008 Denis Leroy <denis@poolshark.org> - 2.9.81-1
- Update to upstream 2.9.81, needed a rebuild for libgda anyway

* Wed Sep 12 2007 Denis Leroy <denis@poolshark.org> - 2.9.8-1
- Update to 2.9.8, a bugfix release

* Thu Aug 23 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.9.7-2
- rebuild for license tag, ppc32

* Mon Jul 23 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.9.7-1
- back from the dead

* Mon Sep 11 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.3.7-4
- look who's alive again!

* Tue Feb 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.3.7-3
- FC5 time

* Thu Aug 11 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.3.7-2
- cleanups, additional devel Requires

* Sat Aug  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.3.7-1
- initial package for Fedora Extras
